Package org.eclipse.emf.compare.rcp.ui.internal.contentmergeviewer.accessor.factory.impl

## Class ResourceContentsAccessorFactory

- java.lang.Object
- - org.eclipse.emf.compare.rcp.ui.internal.contentmergeviewer.accessor.factory.impl.AbstractAccessorFactory
  - - org.eclipse.emf.compare.rcp.ui.internal.contentmergeviewer.accessor.factory.impl.ResourceContentsAccessorFactory

All Implemented Interfaces:
  `IAccessorFactory`

    public class ResourceContentsAccessorFactory
    extends AbstractAccessorFactory

A specific `IAccessorFactory` for `ResourceAttachmentChange` objects.

Since:
  4.0

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.emf.compare.rcp.ui.contentmergeviewer.accessor.factory.IAccessorFactory

`IAccessorFactory.Registry`

### Constructor Summary

Constructors
`ResourceContentsAccessorFactory()`

### Method Summary

All Methods Instance Methods Concrete Methods
`ITypedElement` `createAncestor​(AdapterFactory adapterFactory, Object target)` Creates an `ITypedElement` from an `AdapterFactory` and a given object.
`ITypedElement` `createLeft​(AdapterFactory adapterFactory, Object target)` Creates an `ITypedElement` from an `AdapterFactory` and a given object.
`ITypedElement` `createRight​(AdapterFactory adapterFactory, Object target)` Creates an `ITypedElement` from an `AdapterFactory` and a given object.
`boolean` `isFactoryFor​(Object target)` Checks if the target object is applicable to the factory.

### Methods inherited from class org.eclipse.emf.compare.rcp.ui.internal.contentmergeviewer.accessor.factory.impl.AbstractAccessorFactory

`getRanking, setRanking`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ResourceContentsAccessorFactory

    public ResourceContentsAccessorFactory()

### Method Detail

#### isFactoryFor

    public boolean isFactoryFor​(Object target)

Checks if the target object is applicable to the factory.

Parameters:
  `target` - the object for which we want to know if it is applicable to the factory.
Returns:
  true if the object is applicable to the factory, false otherwise.
See Also:
  `IAccessorFactory.isFactoryFor(java.lang.Object)`

#### createLeft

    public ITypedElement createLeft​(AdapterFactory adapterFactory,
                                    Object target)

Creates an `ITypedElement` from an `AdapterFactory` and a given object. This accessor is specific for the left side of the comparison.

Parameters:
  `adapterFactory` - the given adapter factory.
  `target` - the given object.
Returns:
  an ITypedElement.
See Also:
  `IAccessorFactory.createLeft(org.eclipse.emf.common.notify.AdapterFactory, java.lang.Object)`

#### createRight

    public ITypedElement createRight​(AdapterFactory adapterFactory,
                                     Object target)

Creates an `ITypedElement` from an `AdapterFactory` and a given object. This accessor is specific for the right side of the comparison.

Parameters:
  `adapterFactory` - the given adapter factory.
  `target` - the given object.
Returns:
  an ITypedElement.
See Also:
  `IAccessorFactory.createRight(org.eclipse.emf.common.notify.AdapterFactory, java.lang.Object)`

#### createAncestor

    public ITypedElement createAncestor​(AdapterFactory adapterFactory,
                                        Object target)

Creates an `ITypedElement` from an `AdapterFactory` and a given object. This accessor is specific for the ancestor side of the comparison.

Parameters:
  `adapterFactory` - the given adapter factory.
  `target` - the given object.
Returns:
  an ITypedElement.
See Also:
  `IAccessorFactory.createAncestor(org.eclipse.emf.common.notify.AdapterFactory, java.lang.Object)`